#!/usr/bin/python
# -*- coding: utf-8 -*-

import cv

quelle = cv.LoadImage("Images/pear.png")
grau = cv.CreateImage( (quelle.width, quelle.height), cv.IPL_DEPTH_8U, 1 );
cv.CvtColor(quelle, grau, cv.CV_BGR2GRAY)
cannyImg = cv.CreateImage((quelle.width, quelle.height), cv.IPL_DEPTH_8U, 1)
cv.Canny(grau, cannyImg, 50, 150, 3)
cv.NamedWindow("quelle", 1)
cv.NamedWindow("canny",1)
cv.ShowImage("quelle", quelle)
cv.ShowImage("canny", cannyImg)
cv.WaitKey(0)
cv.DestroyWindow("quelle")
cv.DestroyWindow("canny")

